Subject: Rosacea

From: [email-masked] (Coeli)
Date: 12 Aug 1995 20:31:31 -0400

Adult rosacea is plaguing a young man. He was given an antibiotic in Jan
and 6 mos later nothing changed. The Herb book says it is incurable. Any
help?